# subclasses of TestCase and TestSuite to hold a Zope context

import unittest

class TestCase (unittest.TestCase):
	def setZopeContext (self, ctx):
		self.ZopeContext = ctx

class TestSuite (unittest.TestSuite):
	def setZopeContext (self, ctx):
		self.ZopeContext = ctx
		for test in self._tests:
			test.setZopeContext (ctx)

def makeSuite(testCaseClass, prefix='test', sortUsing=cmp):
    """Returns a TestSuite instance built from all of the test functions
       in the given test case class whose names begin with the given
       prefix. The cases are sorted by their function names
       using the supplied comparison function, which defaults to 'cmp'.
       
       Adapted from unittest.makeSuite by Stephen Purcell
    """
    cases = map(testCaseClass,
                unittest.getTestCaseNames(testCaseClass, prefix, sortUsing))
    return TestSuite(cases)
	
